﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Data;

namespace BugInfragistics
{
    public partial class BugInfragisticsForm : Form
    {
        public BugInfragisticsForm()
        {
            InitializeComponent();
        }

        private void ultraToolbarsManager1_ToolClick(object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
        {
            switch (e.Tool.Key)
            {
                case "Fill Gantt":    // ButtonTool
                    // Place code here
                    this.FillGantt();
                    break;

            }
        }

        private void FillGantt()
        {
            GanttDataSource ds = new GanttDataSource();
            GanttTimeEntry entry = new GanttTimeEntry(DateTime.Today, DateTime.Today.AddDays(1.0));
            GanttItem item = new GanttItem("ITEM_0");
            item.Times.Add(entry);
            GanttSeries series = new GanttSeries("SERIES_0");
            series.Items.Add(item);
            ds.Series.Add(series);


            this.ganttChart.DataSource = ds;
            this.ganttChart.DataBind();
        }

       

    }
}
